
anim8 = require 'anim8'
require 'download'
require 'intro'
local download = download.init()

function love.load()
	--timer = 0
	default = love.graphics.newFont(14)
	title = love.graphics.newFont("resources/fonts/font02.ttf",40)
	text = love.graphics.newFont("resources/fonts/font01.ttf",20)

	download.load()
	if not love.filesystem.exists("resources/video/intro.ogv") then download.addqueue("http://kagescan.esy.es/fangame/realtime/version2/output.ogv","resources/video/intro.ogv","Final !!\nDownloading intro...") end
	download.start()

	menu = 0
end

function love.draw()
	if menu == 0 then
		if not download.display() then
			love.graphics.setFont(default)
			if type(introV)=='nil' then introV = intro.init("resources/video/intro.ogv") end
			if love.filesystem.exists("resources/video/intro.ogv") then
				if introV.video:isPlaying() then
					love.graphics.draw(introV.video, introV.x,introV.y, 0, introV.scale)
					love.graphics.printf("EPILEPTIC WARNING : This intro may contain elements that are not suitable for some audiences,viewer discretion is advised\n Press [space] to skip the intro",0,0,scrW,'center')
					introV.played = true
				else
					if type(introV.played)=='nil' then introV.play() else menu = 1 end
				end
			else love.graphics.printf('Warning : video not found.Please restart your game or contact developer',0,0,scrW,'center') end
		end
	end

end

function love.update(dt)
	--timer = timer + dt * 10
  	download.update(dt)
end